Ticket #39980

ZMODEM: Run-Time Check Failure #3 - The variable 'Opt' is being used without being initialized.

Open Date: 2020-02-03 20:51 Last Update: 2021-05-22 01:05

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None
Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

Details

When starting ZMODEM in Debug mode I get the following error message:

Run-Time Check Failure #3 - The variable 'Opt' is being used without being initialized.

It points to the ZMODEMStart() in teraterm/filesys.cpp where the Opt variable is being set only in "if (mode == IdZSend || mode == IdZAutoS)". What should be the default value for Opt?

Ticket History (3/4 Histories)

2020-02-03 20:51 Updated by: yegorich
  • New Ticket "ZMODEM: Run-Time Check Failure #3 - The variable 'Opt' is being used without being initialized." created
2021-02-27 00:24 Updated by: zmatsuo
Comment

Opt Variables are only referenced when (mode == IdZSend || mode == IdZAutoS). And message from Visual Studio is right. So I fixed to initialize Opt with 0 (r9188).

In Tera Term 5, the code has been rewritten so same error does not occur.

Thank you for the report.

2021-02-27 00:25 Updated by: zmatsuo
  • Owner Update from (None) to zmatsuo
  • Resolution Update from None to Fixed
2021-05-22 01:05 Updated by: zmatsuo
  • Status Update from Open to Closed

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login